Bug 204495 - Review Request: perl-GStreamer - GStreamer Perl module
Review Request: perl-GStreamer - GStreamer Perl module
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Package Reviews List
http://search.cpan.org/dist/GStreamer/
:
Depends On:
Blocks: FE-ACCEPT 204497
  Show dependency treegraph
 
Reported: 2006-08-29 11:27 EDT by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-03 01:14:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-08-29 11:27:07 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-GStreamer-0.09-1.fc5.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-GStreamer.spec

Description:
GStreamer makes everybody dance like crazy.  It provides the means to play,
stream, and convert nearly any type of media -- be it audio or video.
GStreamer wraps the GStreamer library in a nice and Perlish way, freeing
the programmer from any memory management and object casting hassles.
Comment 1 Patrice Dumas 2006-08-29 12:19:29 EDT
One remark (not a blocker), test.patch could be named with
the package name prepended.

* rpmlint is silent
* package named according to guidelines
* free software, licence included
* meets packaging guidelines
* spec legible
* source match upstream
4f6f27edded250b00055d076eb738ff5  GStreamer-0.09.tar.gz
* sane provides (with the known insane GStreamer.so)
Provides: GStreamer.so perl(GStreamer) perl(GStreamer::Caps)
perl(GStreamer::Install::Files)
* %files section right

I tried to test using player.pl in examples, but it doesn't seems to 
work. Or maybe I am missing something:

$ perl /usr/share/doc/perl-GStreamer-0.09/examples/player.pl
/usr/share/wesnoth/music/elf-land.ogg
Playing: /usr/share/wesnoth/music/elf-land.ogg
Resource not found. at /usr/share/doc/perl-GStreamer-0.09/examples/player.pl
line 21.
Comment 2 Chris Weyl 2006-08-29 15:01:52 EDT
Ok, that's weird.  Works for me:

[cweyl@zeus ~]$  perl /usr/share/doc/perl-GStreamer-0.09/examples/player.pl
/usr/share/wesnoth/music/elf-land.ogg
Playing: /usr/share/wesnoth/music/elf-land.ogg
        Artist: Aleksi AUBRY-CARLSON
         Title:
         Album:
  Track number: 0

My system is a (mostly <grin>) stock fc5/x86_64 system, with all updates.  Is
yours a devel/fc6tX box?
Comment 3 Patrice Dumas 2006-08-29 15:19:23 EDT
Yep it is devel, i386. The requires seem right:

$ rpm -q --requires perl-GStreamer
libc.so.6  
libc.so.6(GLIBC_2.0)  
libc.so.6(GLIBC_2.1.3)  
libdl.so.2  
libglib-2.0.so.0  
libgmodule-2.0.so.0  
libgobject-2.0.so.0  
libgstreamer-0.10.so.0  
libgthread-2.0.so.0  
libm.so.6  
libxml2.so.2  
libz.so.1  
perl >= 0:5.008
perl(:MODULE_COMPAT_5.8.8)  
perl(DynaLoader)  
perl(Exporter)  
perl(Glib)  
perl(constant)  
perl(strict)  
perl(warnings)  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH)  

I have 
gstreamer-plugins-base-0.10.9-4
gstreamer-plugins-good-0.10.4-1.fc6
gstreamer-devel-0.10.9-2
gstreamer-tools-0.10.9-2
gstreamer-0.10.9-2

Comment 4 Patrice Dumas 2006-08-29 15:31:23 EDT
Ok, a strace shows that it tries to open 
localhost/usr/share/wesnoth/music/elf-land.ogg
Changing the scipt a bit such that it doesn't call
Glib::filename_to_uri
and constructing the uri myself, it works

APPROVED
Comment 5 Patrice Dumas 2006-08-29 15:49:06 EDT
In fact gstreamer doesn't resolve an uri like
file://localhost/usr/share/wesnoth/music/elf-land.ogg
to /usr/share/wesnoth/music/elf-land.ogg
Not sure that it is a bug.
Comment 6 Ville Skyttä 2006-08-29 16:05:10 EDT
(In reply to comment #5)
> In fact gstreamer doesn't resolve an uri like
> file://localhost/usr/share/wesnoth/music/elf-land.ogg
> to /usr/share/wesnoth/music/elf-land.ogg
> Not sure that it is a bug.

It is, from RFC 3986 section 3.2.2:

  "For example, the "file" URI scheme is defined so that no authority, an
   empty host, and "localhost" all mean the end-user's machine [...]"

Comment 7 Patrice Dumas 2006-08-29 18:32:25 EDT
Is it a bug of gstreamer or perl-GStreamer?
Comment 8 Chris Weyl 2006-08-30 12:38:12 EDT
(In reply to comment #7)
> Is it a bug of gstreamer or perl-GStreamer?

To me, it sounds like a bug in gstreamer, if it works here but not on devel.  It
looks as if it centers on not parsing the file:/... uri correctly from what
you're saying....

For reference, these are my installed gstreamer packages:
gstreamer-0.10.4-1.x86_64.rpm
gstreamer-devel-0.10.4-1.x86_64.rpm
gstreamer-plugins-base-0.10.5-1.x86_64.rpm
gstreamer-plugins-good-0.10.2-1.x86_64.rpm
gstreamer-plugins-ugly-0.10.2-1.lvn5.x86_64.rpm
gstreamer-tools-0.10.4-1.x86_64.rpm
gstreamer08-0.8.12-5.fc5.x86_64.rpm
gstreamer08-plugins-0.8.12-5.fc5.x86_64.rpm
Comment 9 Chris Weyl 2006-09-02 04:46:10 EDT
Ok, I'm going to chalk this one up to devel being in a state of perpetual
rebuilding.  If errors persist into fc6t3, let's open bugs and I'll drive them
to where they need to be.
Comment 10 Patrice Dumas 2007-01-03 16:28:41 EST
Trying to rebuild on devel the tests failed:

t/GstRegistry...........ok 1/21undef is not of type GStreamer::PluginFeature at
t/GstRegistry.t line 22.
# Looks like you planned 21 tests but only ran 3.
# Looks like your test died just after 3.
t/GstRegistry...........dubious                                              
        Test returned status 255 (wstat 65280, 0xff00)
DIED. FAILED tests 4-21
        Failed 18/21 tests, 14.29% okay


gstreamer-0.10.11-1.fc7
gstreamer-devel-0.10.11-1.fc7
Comment 11 Quentin Sculo 2007-01-20 15:08:54 EST
(In reply to comment #10)
> Trying to rebuild on devel the tests failed:
> 
> t/GstRegistry...........ok 1/21undef is not of type GStreamer::PluginFeature at
> t/GstRegistry.t line 22.

This test the presence of the alsasink from the alsa plugin

> gstreamer-0.10.11-1.fc7
> gstreamer-devel-0.10.11-1.fc7

and the alsa plugin is in gstreamer-plugins-base...

Maybe the tests shouldn't test specific plugins, or maybe GStreamer should
depend on gstreamer-plugins-base, as I'm not sure the gstreamer package by
itself is very useful.

Comment 12 Chris Weyl 2007-02-20 01:52:38 EST
So...  After poking around with various patches, etc, to remove tests failing
under mock, I've just wrapped "make test" with a %{?_with_network_tests:...
construct.  The rpm builds & tests just fine for me outside of mock, and is
usable; it just seems that there's not enough of an environment under a mock
build for the module to sucessfully test itself.

I've commited changes; this package is (finally!) built in extras for fc5->devel.

Note You need to log in before you can comment on or make changes to this bug.